package menu

import (
	"ArmedPolice/app/controller/basic"
	"ArmedPolice/app/service"
)

type Instance struct{ *service.Session }

type InstanceHandle func(session *service.Session) *Instance

func (c *Instance) List() (*basic.ReturnPages, error) {
	return &basic.ReturnPages{Data: nil, Count: 0}, nil
}

func (c *Instance) Form() error {
	return nil
}

func (c *Instance) Delete() error {
	return nil
}

func NewInstance() InstanceHandle {
	return func(session *service.Session) *Instance {
		return &Instance{session}
	}
}
